u_hd_smbios_t Union Reference
Public interface » ID macros » SMBIOS structures

SMBIOS list item. More...

`#include <hd.h>`

## Data Fields

union u_hd_smbios_t * | next
smbios_any_t | any
smbios_biosinfo_t | biosinfo
smbios_sysinfo_t | sysinfo
smbios_boardinfo_t | boardinfo
smbios_chassis_t | chassis
smbios_processor_t | processor
smbios_cache_t | cache
smbios_connect_t | connect
smbios_slot_t | slot
smbios_onboard_t | onboard
smbios_oem_t | oem
smbios_config_t | config
smbios_lang_t | lang
smbios_group_t | group
smbios_memarray_t | memarray
smbios_memdevice_t | memdevice
smbios_memerror_t | memerror
smbios_memarraymap_t | memarraymap
smbios_memdevicemap_t | memdevicemap
smbios_mouse_t | mouse
smbios_secure_t | secure
smbios_power_t | power
smbios_mem64error_t | mem64error

## Detailed Description

SMBIOS list item.

The documentation for this union was generated from the following file:

- hd.h